* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  font-family: Georgia, "Times New Roman", Times, serif;
}

:root {
  --themeColor: rgba(34, 47, 71, 100%);
  --style1: rgba(211, 21, 132, 100%);
  --style2: rgba(21, 122, 221, 100%);
  --textColor: #fff;
  --textColor2: rgba(221, 221, 221, 100%);
}

body {
  width: 100%;
  height: 690px;
  /* background-color: var(--themeColor); */
  display: flex;
  justify-content: center;
  align-items: center;
}

body main {
  border: 2px solid var(--textColor);
  border-radius: 20px;
  background-color: var(--themeColor);
  padding: 10px 10px;
}

body main header {
  display: block;
  /* border: 1px solid red; */
}

body main div {
  display: flex;
  align-items: last baseline;
  /* border: 1px solid red; */
}

body main div b {
  color: var(--style1);
  text-decoration: underline;
}

body main div img {
  width: 90px;
  height: 90px;
  /* border: 1px solid var(--textColor2); */
  border-radius: 50%;
  object-fit: cover;
  object-position: center;
  overflow: hidden;
}

body main header h2 {
  font-size: 27px;
  font-family: sans-serif;
  font-weight: 600;
  color: var(--textColor);
}

body main header h1 {
  /* border: 1px solid white; */
  font-size: 36px;
  color: var(--textColor2);
  font-weight: 600;
  display: flex;
  justify-content: right;
  padding-right: 15px;
}

body main header h1::before {
  content: "";
  position: relative;
  top: 35px;
  left: 170px;
  height: 3px;
  width: 180px;
  border-radius: 2px;
  background-color: var(--style1);
  box-shadow: 7px 6px 1px var(--style2);
}
body main header p span {
  font-size: 14px;
  font-weight: 600;
  padding-right: 5px;
  font-family: monospace;
  text-transform: uppercase;
  text-decoration: underline;
  color: var(--style2);
}

body main header p span b {
  color: var(--style1);
  font-size: 30px;
}

body main header p {
  color: var(--textColor2);
  margin-bottom: 12px;
  max-width: 550px;
  text-align: right;
  margin-top: 10px;
}

body main form {
  display: flex;
  /* border: 1px solid red; */
  flex-direction: column;
  align-items: center;
  gap: 15px;
  padding: 15px;
}

body main form input {
  padding: 5px;
  text-align: center;
  font-size: 14px;
  font-weight: 600;
  border-radius: 7px;
  width: 60%;
  height: 30px;
  transition: 0.2s;
}

body main form input:hover {
  box-shadow: 2px 6px 6px var(--textColor);
  background-color: var(--themeColor);
  border-color: var(--textColor);
  transition: 0.2s;
}

body main form div {
  display: flex;
  align-items: center;
  flex-direction: row;
  gap: 25px;
}

body main form div #maleRadioButton {
  border: 1px solid red;
}

body main form div label {
  color: var(--textColor);
  font-size: 13px;
  font-family: Cambria, Cochin, Georgia, Times, "Times New Roman", serif;
}

body main form .passwordCheaker {
  width: 60%;
  height: 100%;
  padding: 3px;
}

body main form .passwordCheaker div {
  width: 10px;
  height: 10px;
  border: 1px solid white;
  border-radius: 50%;
}

body main form .passwordCheaker #passwordlbl {
  font-family: monospace;
  letter-spacing: 2px;
  text-decoration: underline;
}

body main form #signupButton {
  font-size: 15px;
  width: 60%;
  height: 34px;
  border: 3px solid var(--themeColor);
  border-radius: 12px;
  box-shadow: 2px 6px 10px var(--style1);
  transition: 0.3s;
}

body main form #signupButton:hover {
  font-size: 17px;
  letter-spacing: 4px;
  color: var(--textColor);
  background-color: var(--style1);
  border: 1px solid var(--themeColor);
  border-radius: 12px;
  box-shadow: 2px 6px 10px var(--style2);
  transition: 0.3s;
}

body main form #signupButton:active {
  letter-spacing: 4px;
  color: var(--textColor);
  background-color: var(--themeColor);
  border: 1px solid var(--textColor);
  border-radius: 12px;
  box-shadow: 2px 6px 10px var(--textColor);
}
body main footer {
  max-width: 550px;
}

body main footer p {
  text-align: center;
  margin-top: 10px;
  color: var(--textColor2);
}

body main footer h4 {
  margin-top: 5px;
  text-transform: capitalize;
  text-align: center;
  font-family: monospace;
  font-weight: 600;
  color: var(--style2);
}

body main footer h4 a {
  color: var(--style1);
  text-transform: uppercase;
  font-size: 12px;
  font-family: monospace;
  font-weight: 600;
  transition: 0.2s;
}

body main footer h4 a b {
  color: var(--style2);
  font-size: 23px;
}

body main footer h4 a:hover {
  color: var(--style1);
  text-shadow: -2px -8px var(--textColor);
  transition: 0.2s;
}

@media only screen and (max-width: 600px) {
  body main header div {
    display: flex;
    flex-direction: column;
    gap: 5px;
    align-items: start;
  }
  body main header div img {
    width: 40px;
    height: 40px;
  }
  body main header h1 {
    letter-spacing: 15px;
    text-align: center;
    display: block;
    margin-top: 5px;
  }
  body main header h1::before {
    display: block;
    position: relative;
    top: 40px;
    left: 13%;
    width: 70%;
  }
  body main header p {
    text-align: center;
    max-width: 500px;
  }
  body main form {
    gap: 7px;
  }
  body main form input {
    width: 80%;
  }
  body main form #signupButton {
    width: 75%;
  }
  body footer {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    max-width: 400px;
    row-gap: 2px;
  }
}

@media only screen and (max-width: 400px) {
  body main {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 7px 7px;
    max-width: 100%;
  }
  body main header div {
    align-items: center;
    padding: 2px;
    border-bottom: 2px solid var(--style2);
  }
  body main header h1 {
    letter-spacing: 0px;
    margin-bottom: 2px;
  }
  body main header h1::before {
    display: block;
    position: relative;
    top: 40px;
    left: 13%;
    width: 70%;
  }
  body main header p {
    max-width: 350px;
  }
  body main form {
    padding: 2px 2px;
    max-width: 95%;
  }
  body main form .passwordCheaker div {
    width: 90px;
    border: 1px solid white;
    border-radius: 50%;
  }

  body main footer {
    max-width: 95%;
    margin-top: 3px;
  }
}
